'use client'

import React from 'react'
import { motion } from 'framer-motion'
import { Target, Eye } from 'lucide-react'

interface AboutUsMissionVisionProps {
  mission: string
  vision: string
}

const AboutUsMissionVision: React.FC<AboutUsMissionVisionProps> = ({ mission, vision }) => {
  return (
    <section className="aumv-mission-vision py-16 px-4">
      <div className="max-w-6xl mx-auto grid md:grid-cols-2 gap-12">
        <motion.div 
          className="aumv-mission bg-white p-8 rounded-lg shadow-lg"
          initial={{ opacity: 0, x: -50 }}
          animate={{ opacity: 1, x: 0 }}
          transition={{ duration: 0.5 }}
        >
          <Target className="aumv-icon w-12 h-12 text-blue-500 mb-4" />
          <h2 className="aumv-section-title text-2xl font-semibold mb-4">Our Mission</h2>
          <p className="aumv-text text-gray-600">{mission}</p>
        </motion.div>
        <motion.div 
          className="aumv-vision bg-white p-8 rounded-lg shadow-lg"
          initial={{ opacity: 0, x: 50 }}
          animate={{ opacity: 1, x: 0 }}
          transition={{ duration: 0.5, delay: 0.2 }}
        >
          <Eye className="aumv-icon w-12 h-12 text-teal-500 mb-4" />
          <h2 className="aumv-section-title text-2xl font-semibold mb-4">Our Vision</h2>
          <p className="aumv-text text-gray-600">{vision}</p>
        </motion.div>
      </div>
    </section>
  )
}

export default AboutUsMissionVision